local M = {}

local wheels = {}

local function init()
	wheels = v.data.wheels
end

local function updateGFX()

	local count = tableSizeC(v.data.wheels)

	local pressures = {}

	for i = 0, count - 1, 1 do
	    local wd = v.data.wheels[i]
    	if v.data.pressureGroups[wd.pressureGroup] ~= nil then
		    local kpa = obj:getGroupPressure(v.data.pressureGroups[wd.pressureGroup]) * 0.001 
		    pressures[wd.name] = kpa
		end
	end
	
	if streams.willSend("tirePressureData") then
      	guihooks.queueStream("tirePressureData", pressures)
    end
end
M.onInit = init
M.onReset = onInit
M.updateGFX = updateGFX

return M